Bug 198823 - keyboard broken under x after ugrade from fc4
keyboard broken under x after ugrade from fc4
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2006-07-13 17:38 EDT by Marty Vona
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-27 10:21:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Marty Vona 2006-07-13 17:38:37 EDT
Description of problem:

After upgrading to fc5 from fc4, my ps2 keyboard stopped functioning under X. 
It still worked fine at the console.  Also, it worked fine during the
(graphical) install process.

The X console output included a number of error/warning messages related to
XKEYBOARD kemapping, e.g.:

expected keysym, got XF86_Switch_VT_1: line 52 of pc

Despite much searching, I did not find any reports of related issues in the
fedora bug tracker.  I did turn up something similar in the debian tracker:


And I was able to use the information there to apparrently resolve the issue.

I had installed two packages a while back to support compiling some old software:


and these in turn installed a number of libraries under


which apparrently conflicted with the new xorg installation, somehow preventing
the keyboard from working properly.

rpm -e compat-libs-6.2-3 libc5compat-X11

seems to have resolved the issue.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Matěj Cepl 2006-10-27 10:21:28 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.

Users who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:


If you encounter this bug again in the latest release of Fedora Core, please
reopen this bug so we could test and work with you to resolve the issue in the
current environment.


On this issue may be relevant discussion at 
http://www.sql.ru/forum/actualthread.aspx?tid=297015 (in 
Russian), where somebody tried to install Oracle 8.1.7B on Fedora 
Core 5. The suggested solution was to install normal Fedora Core 5, packages
compat-db, compat-gcc-32, compat-gcc-32-c++, compat-gcc-32-g77,
compat-libf2c-32, compat-libgcc-296, compat-libstdc++, compat-libstdc++-33,
compat-openldap, compat-readline43, compat-slang,

and then make a link make a link to older version of GCC
(ln –s /usr/bin/gcc296 /usr/bin/gcc).

Note You need to log in before you can comment on or make changes to this bug.